Package ru.bitel.bgbilling.kernel.base.phone.common.bean

# Class RangeMapItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.base.phone.common.bean.RangeMapItem

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class RangeMapItem
    extends IdTitle

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RangeMapItem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `java.lang.String` | `getRangeFrom()` |
  `java.lang.String` | `getRangeTo()` |
  `boolean` | `matches​(java.lang.String code)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setRangeFrom​(java.lang.String rangeFrom)` |
  `void` | `setRangeTo​(java.lang.String rangeTo)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### RangeMapItem

    public RangeMapItem()

- ## Method Details

  - ### getRangeFrom

    public java.lang.String getRangeFrom()

  - ### setRangeFrom

    public void setRangeFrom​(java.lang.String rangeFrom)

  - ### getRangeTo

    public java.lang.String getRangeTo()

  - ### setRangeTo

    public void setRangeTo​(java.lang.String rangeTo)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### matches

    public boolean matches​(java.lang.String code)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)